Subject: bug#18676: 24.3; auto-revert-buffers tries to cancel nil timer

From: Adam Spiers <[email-masked]>
Date: Fri, 10 Oct 2014 14:54:39 +0100

On 10 October 2014 14:32, Stefan Monnier <[email-masked]> wrote:
>> Maybe I'm misunderstanding something but it seems to me from the
>> backtrace below (obtained via --debug-init) that magit is not the
>> culprit, and auto-revert-buffers should check it has a valid timer to
>> cancel, before attempting to cancel it.
>
> Is auto-revert-mode enabled?
> I don't see why Magit should call auto-revert-buffers, which is
> an internal function of auto-revert-mode.

Good question - I've asked the magit maintainer here:

https://github.com/magit/magit/issues/1544